%define name xcopilot
%define version 0.6.7
%define release 3mdk

Summary: An X based PalmPilot Emulator
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
URL: http://xcopilot.cuspy.com
Source: %{name}-%{version}-str.tar.bz2
Group: Development/Other
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
XCopilot is a USR/3Com PalmPilot complete hardware emulator.  It requires
the ROM image from your Pilot for operation (or possibly a Linux image now
that Linux boots on the Pilot).  The ROM image can be obtained from the
pilot using the pi-getrom command from the pilot-link package if you have a
Pilot or PalmPilot.

-- NO ROM IMAGE INCLUDED --

-- YOU NEED TO HAVE A ROM IMAGE FROM YOUE _OWN_ PALM PILOT --

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %name-%version-str

%configure

%build

make

%install
%makeinstall

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/xcopilot"\
title="Xcopilot"\
longtitle="PalmPilot emulator"\
needs="x11"\
section="Applications/Emulators"
EOF
)
 
%post
%update_menus
 
%postun
%clean_menus   


%clean
rm -rf $RPM_BUILD_ROOT 

%files
%defattr (-,root,root)
%doc README COPYING
%_bindir/*
%_mandir/man1/*
%_libdir/menu/*

%changelog
* Thu Feb 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.7-3mdk
- rebuild

* Wed Nov 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.6.7-2mdk
- fix typo

* Wed Nov 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.6.7-1mdk
- updated by ashimaru <ashimaru@gmx.net> :
	- first build

* Wed Sep 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.6.6-2mdk
- some cleaning & warning added
- menu
  
* Mon Aug 28 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.6.6-1mdk
- new in contribs   
